# Binary Functions

[**SHA(bytesCol)**](/functions/binary/sha.md)\
Return SHA-1 digest of binary column(`bytes` type) as hex string

[**SHA256(bytesCol)**](/functions/binary/sha256.md)\
Return SHA-256 digest of binary column(`bytes` type) as hex string

[**SHA512(bytesCol)**](/functions/binary/sha512.md)\
Return SHA-512 digest of binary column(`bytes` type) as hex string

[**MD5(bytesCol)**](/functions/binary/md5.md)\
Return MD5 digest of binary column(`bytes` type) as hex string

[**toBase64(bytesCol)**](/functions/binary/base64.md)\
Return the Base64-encoded string of binary column(`bytes` type)

[**fromUtf8(bytesCol)**](/functions/binary/utf8.md)\
Return the UTF8-encoded string of binary column(`bytes` type)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pinot.apache.org/functions/binary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
